<nav class="navbar navbar-light bg-light">
    <a class="navbar-brand" href="#">SignalR Tech Talk Demo</a>
    <div class="d-flex flex-row">
        <div class="dropdown mr-2">
            <button *ngIf="people && currentUser" class="btn btn-light dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Create a Donation
            </button>
            <div class="dropdown-menu px-3" aria-labelledby="dropdownMenuButton">
                <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">$</span>
                    </div>
                    <input type="text" #donationAmountInput class="form-control" aria-label="Amount (to the nearest dollar)">
                </div>
                <button (click)="payDonation(donationAmountInput.value)" class="btn btn-light w-100 mt-1">Pay Donation</button>
          </div>
        </div>
        <div class="dropdown mr-5">
            <button *ngIf="people && currentUser" class="btn btn-light dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              {{currentUser.firstName + ' ' + currentUser.lastName}}
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <div *ngFor="let person of people">
                    <button *ngIf="!(person.id == currentUser.id)" class="btn btn-light m-1 " (click)="updateCurrentUser(person.id)"> 
                        {{person.firstName + ' ' + person.lastName}}
                    </button>
                </div>
            </div>
          </div>
    </div>
  </nav>